A library that's kind enough to tell you "No" when you need it.
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
extension/chrome
tests
.gitignore
LICENSE
README.md
gulpfile.js
karma.conf.js
mocha.conf.js
nope.js
package.json

README.md

nope-js

A library that's kind enough to tell you "No" when you need it.

Getting Started

npm install

npm install --global gulp (if you don't already have gulp installed)

gulp test to start karma in continuous integration mode.

Write tests! 😃

Requirements

Needs Chrome 43+ (this is why currently karma is configured to ask for Chrome Canary). If you want to make it for an earlier version of Chrome or a rendering engine that doesn't keep DOM properties on prototypes, I am unlikely to take your patches. My apologies -- trying to keep this simple. However, would be happy have help to fix any cross-browser problems.